/*  This example sketch uses Pixy cam plugged into PRIZM I2C port.
 *  This sketch will read and print the detected object block's red, green, blue color values
 *  of the camera view.
 * 
 *  The Pixy Cam needs to be configured for I2C communication using the Pixy Mon Software.
 *  Information is here: https://pixycam.com/
 */

  
  
// NOTE, THIS PROGRAM REQUIRES FIRMWARE VERSION 3.0.11 OR GREATER 

#include <PRIZM.h>      // include PRIZM library
#include <Pixy2I2C.h>   // include Pixy2 library
#define I2C

Pixy2I2C pixy;          // instantiate a name for Pixy2 object
PRIZM prizm;            // instantiate a name for PRIZM object

void setup()
{
  prizm.PrizmBegin();   // initialize PRIZM and wait for green Start button press
  
  Serial.begin(9600);
  Serial.println("Starting...");
  
  // initialize the pixy object
  pixy.init();
  
  // getting the RGB pixel values requires the 'video' program
  pixy.changeProg("video");
}

void loop()
{ 
  uint8_t r, g, b; 
  
  //get RGB value at center of frame
  pixy.video.getRGB(pixy.frameWidth/2, pixy.frameHeight/2, &r, &g, &b);
  
  Serial.print("red:");
  Serial.print(r);
  Serial.print(" green:");
  Serial.print(g);
  Serial.print(" blue:");
  Serial.println(b);

  delay(100);                   // slow down serial monitor output
}
