/* This example sketch uses Pixy cam plugged into PRIZM I2C port.
 * This program simply prints the detected object blocks 
 * (including color codes) through the serial console. 
 * The Pixy Cam needs to be configured for I2C communication
 * and also be trained to recognize objects using the Pixy Mon Software.
 * Information is here: https://pixycam.com/
 */
 
#include <PRIZM.h>      // include PRIZM library
#include <Pixy2I2C.h>   // include Pixy Cam I2C library
#define I2C

Pixy2I2C pixy;          // instantiate a name for pixy cam object
PRIZM prizm;            // instantiate a name for PRIZM object

void setup()
{
  prizm.PrizmBegin();   // initialize PRIZM. Wait for green start button press
  
  Serial.begin(9600);
  Serial.print("Starting...\n");
  
  pixy.init();
}

void loop()
{ 
  int i; 
  // grab blocks!
  pixy.ccc.getBlocks();
  
  // If there are detect blocks, print them!
  if (pixy.ccc.numBlocks)
  {
    Serial.print("Detected ");
    Serial.println(pixy.ccc.numBlocks);
    for (i=0; i<pixy.ccc.numBlocks; i++)
    {
      Serial.print("  block ");
      Serial.print(i);
      Serial.print(": ");
      pixy.ccc.blocks[i].print();
    }
  }  
}
